Subject: SOLVED: zsh / cygwin 1.x / status access violation
From: Johannes Mähner <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 17 May 2000 12:23:52 +0200

Geoff Wing from the zsh mailing list gave me 
the tip to undefine HAVE_MMAP in config.h of zsh.
The question if there is a bug in mmap of cygwin or not 
serves as food for our cygwin-gurus ;-)

Subject: Re: zsh 3.1.6/7 and cygwin 1.x
From: Geoff Wing <[email-masked]>
To: Johannes Mähner <[email-masked]>
Date: Wed, 17 May 2000 19:45:24 +1000

Johannes Mähner wrote about Re: zsh 3.1.6/7 and cygwin 1.x:
:Geoff Wing wrote:
:> Oh, one thing I've just remembered.  I had to stop it from trying to
:> use mmap - I didn't know if it was specific to me or if it was more general.
:> Editing config.h and undefining HAVE_MMAP may fix your problem.
:
:!!!THAT'S IT!!!
:!!!!THANK YOU VERY MUCH!!!!
:If you don't mind, I will forward your email to the cygwin mailing list

That's fine.  I didn't investigate whether the mmap problem was specific
to zsh or if mmap is not fully supported under cygwin.

:BTW, how did you figure out that mmap could be the problem?
:(e.g. status access violation => denied memory access => 
:check out everything which is correlated to memory ;-)

Close to that :-)  Though I suspect I just ran it from gdb to find out
roughly whether the problem was - and I have the advantage of knowing
the internals of quite a bit of zsh fairly well.

Regards,
-- 
Geoff Wing : <[email-masked]>     Work URL: http://www.primenet.com.au/
Rxvt Stuff : <[email-masked]>      Ego URL : http://pobox.com/~gcw/
Zsh Stuff  : <[email-masked]>       Phone   : (Australia) 0413 431 874

--
Want to unsubscribe from this list?
Send a message to [email-masked]